<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:id="@+id/rl_root"
    android:layout_height="match_parent"
    android:background="#00000000">


    <android.support.v7.widget.CardView
        android:id="@+id/cv_pic"
        android:clickable="true"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/ll_share"
        android:layout_marginStart="68dp"
        android:layout_marginEnd="68dp"
        android:layout_marginBottom="-25dp"
        android:visibility="gone"
        app:cardCornerRadius="10dp"
        tools:visibility="visible">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <ImageView
                android:id="@+id/img_pic"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:scaleType="fitXY"
                tools:layout_height="100dp" />

            <TextView
                android:id="@+id/tv_save_pic"
                android:layout_width="wrap_content"
                android:layout_height="40dp"
                android:layout_gravity="center_horizontal"
                android:background="?android:attr/selectableItemBackground"
                android:drawableLeft="@drawable/icon_download"
                android:drawablePadding="6dp"
                android:gravity="center_vertical"
                android:text="保存图片"
                android:textColor="@color/color_242424"
                android:textSize="12sp" />
        </LinearLayout>

    </android.support.v7.widget.CardView>

    <LinearLayout
        android:id="@+id/ll_share"
        android:clickable="true"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@drawable/share_dialog_bg"
        android:orientation="vertical"
        android:paddingLeft="12.5dp"
        android:paddingRight="12.5dp">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="7.5dp"
            android:layout_marginTop="@dimen/dp_24"
            android:text="分享到"
            android:textColor="@color/color_242424"
            android:textSize="@dimen/dp_18"
            android:textStyle="bold" />

        <LinearLayout
            android:id="@+id/ll_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_18"
            android:orientation="horizontal">

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_dynamic"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_dynamic" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="动态"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_weixin"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_weixin" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="微信好友"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_friends"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_friends" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="朋友圈"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_qqzone"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_qqzone" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="QQ空间"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_qq"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_qq" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="QQ好友"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>
        </LinearLayout>

        <!--第二排-->
        <LinearLayout
            android:id="@+id/ll_layout2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_18"
            android:orientation="horizontal">

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_delete"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="7.5dp"
                android:layout_marginRight="7.5dp"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_delete" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="删除"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_report"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="7.5dp"
                android:layout_marginRight="7.5dp"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_report" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="举报"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>

            <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/ll_backhome"
                android:layout_width="55dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="7.5dp"
                android:layout_marginRight="7.5dp"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="55dp"
                    android:layout_height="55dp"
                    android:layout_gravity="center_horizontal"
                    android:background="@drawable/share_icon_backhome" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginTop="@dimen/dp_8"
                    android:text="返回首页"
                    android:textColor="@color/color_242424"
                    android:textSize="@dimen/dp_12" />
            </LinearLayout>
        </LinearLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_0.5"
            android:layout_marginTop="@dimen/dp_13"
            android:background="@color/color_E0E0E0" />

        <TextView
            android:id="@+id/tv_cancel"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center_horizontal"
            android:gravity="center"
            android:paddingTop="@dimen/dp_19"
            android:paddingBottom="@dimen/dp_17"
            android:text="取消"
            android:textColor="@color/color_242424"
            android:textSize="@dimen/dp_16" />
    </LinearLayout>

</RelativeLayout>